# Podręcznik użytkownika KDE

&Lauri.Watts; &Lauri.Watts.mail;
7 Czerwiec 2005
K Desktop Environment
kdesu
1

# `kdesu`

Uruchamia program z najwyższym poziomem uprawnień

    kdesu -c -d -f  plik -i  nazwa ikony -n -p  priorytet -r -s -t -u  użytkownik --nonewdcop polecenie arg1 arg2

    kdesu Standardowe opcje KDE Standardowe opcje Qt

## Opis

Program &kdesu; jest graficzną nakładką środkowiska KDE na systemowe polecenie `su`. Pozwala na uruchamianie programów z poziomem uprawnień innego użytkownika pytając o jego hasło. Program &kdesu; nie wymaga żadnych dodatkowych praw dostępu gdyż wykorzystuje on polecenie systemowe `su`.

Dodatkową funkcją programu &kdesu; jest opcjonalna możliwość zapamiętywania wprowadzanych haseł. Jeżeli jest włączona, to podanie hasła jest wymagane tylko raz dla każdego polecenia.

Program powinien być uruchamiany z linii poleceń lub za pośrednictwem pliku `.desktop`.

## Parametry

`-c program`

  Określa polecenie, które należy uruchomić z poziomem uprawnień administratora. Polecenie musi podane jako jeden argument, dlatego na przykład jeżeli użytkownik chce uruchomić menedżera plików, powinien wprowadzić w linii poleceń: ``kdesu `-c kfm -sw```

`-d`

  Pokazuje informacje diagnostyczne.

`-f plik`

  Parametr ten pozwala na efektywne wykorzystanie programu &kdesu; w plikach `.desktop`. Powoduje, iż &kdesu; sprawdza wskazany `plik` czy jest zapisywalny przez bieżącego użytkownika. Jeżeli tak, to polecenie zostanie wykonane z poziomem uprawnień bieżącego użytkownika, a jeżeli nie to polecenie zostanie wykonane z uprawnieniami użytkownika `użytkownik` (wartością domyślną jest administrator tzn. użytkownik root).

  Ścieżka do pliku `plik` jest wyznaczana następująco: jeżeli `plik` rozpoczyna się od znaku `/` to traktowana jest jako ścieżka absolutna, jeżeli zaś nie to katalogiem podstawowym będzie katalog konfiguracji globalnej środowiska &kde;. Na przykład aby skonfigurować menedżer wyświetlania KDE kdm, można wprowadzić polecenie `kdesu `-c kdmconfig -f kdmrc``

`-i` nazwa ikony

  Pozwala na określenie ikony wyświetlanej w oknie dialogowych pytania o hasło. Można tu zastosować nazwę bez rozszerzenia.

`-n`

  Nie przechowuj hasła. Opcja ta wyłącza działanie pola wyboru przechowuj hasło w oknie dialogowym wprowadzania hasła.

`-p` priorytet

  Określa priorytet wykonania programu. Jest to liczba całkowita z przedziału od 0 do 100, gdzie 100 oznacza najwyższy priorytet, a 0 najniższy. Wartością domyślną jest 50.

`-r`

  Włącza dla programu priorytet czasu rzeczywistego.

`-s`

  Zatrzymuje usługę &kdesu;. Jest to usługa przechowująca w tle poprawnie wprowadzone hasła. Funkcja ta może też być wyłączona przez podanie parametru `-n` przy uruchamianiu programu.

`-t`

  Włącza wyjście na terminal. Parametr wyłącza funkcję przechowywania haseł, zaś wykorzystywany jest najczęściej w celu poszukiwaniu błędów. W celu uruchomienia aplikacji w trybie konsolowym najlepiej jest jednak używać standardowego polecenia `su`.

`-u` użytkownik

  Chociaż najczęściej &kdesu; jest wykorzystywane do uruchamiania programów z poziomem uprawnień administratora, można też wybrać innych użytkowników podając nazwę użytkownika i odpowiednie hasło.

## Zobacz także

su(1)

Szczegółowa dokumentacja jest dostępna pod adresem help:/kdesu (należy go wprowadzić jako adres URL w programie &konqueror; lub wykonać polecenie ``khelpcenter` `help:/kdesu``).

## Przykłady

Uruchamia program `kfmclient` jako użytkownik jim, i wyświetla ikonę &konqueror-dopelniacz; w oknie dialogowym pytania o hasło.

    kdesu -u jim -i konqueror kfmclient

## Autorzy

Program &kdesu;. Autorzy: Geert Jansen jansen@kde.org oraz Pietro Iglio iglio@fub.it.